package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 经销商用户授权对象 sys_user_customer_authorization
 * 
 * @author njs
 * @date 2024-05-24
 */
public class SysUserCustomerAuthorization extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 经销商编码 */
    @Excel(name = "经销商编码")
    private String customerCode;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 是否收货人（0否1是） */
    @Excel(name = "是否收货人", readConverterExp = "0=否1是")
    private String isConsignee;

    /** 自主下单是否授权(0否1是) */
    @Excel(name = "自主下单是否授权(0否1是)")
    private String isIndependently;

    /** 自提是否授权(0否1是) */
    @Excel(name = "自提是否授权(0否1是)")
    private String isSelfDelivery;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    public void setCustomerCode(String customerCode) 
    {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() 
    {
        return customerCode;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setIsConsignee(String isConsignee) 
    {
        this.isConsignee = isConsignee;
    }

    public String getIsConsignee() 
    {
        return isConsignee;
    }
    public void setIsIndependently(String isIndependently) 
    {
        this.isIndependently = isIndependently;
    }

    public String getIsIndependently() 
    {
        return isIndependently;
    }
    public void setIsSelfDelivery(String isSelfDelivery) 
    {
        this.isSelfDelivery = isSelfDelivery;
    }

    public String getIsSelfDelivery() 
    {
        return isSelfDelivery;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("customerCode", getCustomerCode())
            .append("userId", getUserId())
            .append("isConsignee", getIsConsignee())
            .append("isIndependently", getIsIndependently())
            .append("isSelfDelivery", getIsSelfDelivery())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .toString();
    }
}
